package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;


/**
 * 4.7.2 :
 * 使用Map存储结果集
 * ---------------------
 * 4.7.3 :
 * 使用POJO存储结果集
 *
 *
 * Created by puruidong on 2017/6/26.
 */
public class C4Main {

    private static Logger logger = LogManager.getLogger(C4Main.class.getName());

    public static void main(String[] args) {
        SqlSession sqlSession = null;
        try {
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            RoleDao roleDao = sqlSession.getMapper(RoleDao.class);
            System.out.println(roleDao.getRole(5).toString());
            System.out.println("-------------------------------------------------------------->");
            roleDao.findRoleByNote(5).forEach((y,z)-> System.out.println(y+"--->"+z));
            System.out.println("-------------------------------------------------------------->");
        } catch (Exception e) {
            e.printStackTrace();
            System.err.println(e.getMessage());
        } finally {
            if (sqlSession != null) {
                sqlSession.close();
            }
        }
        logger.info("执行成功!");
    }
}
